import java.util.Scanner;

/**
* This object runs a driver class that receives user input to play
* a number of games of rock paper scissors.
* @author Kenneth Marino
* @version 1.0 2/24/12
*/
public class RPSCommandLine
{
	/**
	* The main method queries the user for a number of games to
	* play, and then plays that number of games with rock, then
	* paper than, scissors and prints outs the wins, losses and
	* ties for all of those games.
	* @param args Command line arguments (unused)
	*/
	public static void main(String[] args)
	{
		// Create scanner and ask for number of games to run
		Scanner scan = new Scanner(System.in);
		System.out.print("Enter the number of games to run: ");
		int numGames = scan.nextInt();
		
		// Loop over each possibility
		for (int item = 0; item < 3; item++)
		{
			// Choose your weapon
			int choice;
			switch (item)
			{
				case 0: 
					choice = RPSThrow.ROCK;
					break;
				case 1:
					choice = RPSThrow.PAPER;
					break;
				case 2:
					choice = RPSThrow.SCISSORS;
					break;
				default:
					// Should never happen
					choice = -1;
					break;
			}
			
			// Create Score keeper and RPSThrow
			RPSScoreKeeper game = new RPSScoreKeeper();
			RPSThrow myThrow = new RPSThrow(choice);
			
			// Run number of games as entered by user
			for (int i = 0; i < numGames; i++)
			{
				// Generate opponents throw
				RPSThrow opponentThrow = new RPSThrow();
				
				// Determine winner and tell score keeper
				if (myThrow.beats(opponentThrow))
					game.addWin();
				else if (opponentThrow.beats(myThrow))
					game.addLoss();
				else
					game.addTie();
			}
			
			// Print result of games
			System.out.println("When we are " + myThrow + ": " + game);			
		}
	}
}