import java.util.Scanner;
import java.io.*;

/**
* This object runs a driver class that receives user input for a file
* name that contains moves for rock paper scissors. It then plays these
* moves with a comuter that randomly generates moves and prints the
* results as it goes along.
* @author Kenneth Marino
* @version 1.0 2/24/12
*/
public class RPSFromFile
{
	/**
	* This main method queries the user for the name of a file. It then
	* opens this files, and parses out a rps move. It then generates a
	* random computer throw and prints a running result of all of the games
	* that have been played.
	* @param args Command line arguments (unused)
	*/
	public static void main(String[] args)
	{
		// Create a RPSScoreKeeper object to keep track of the score
		RPSScoreKeeper score = new RPSScoreKeeper();
		
		// Create a Scanner object, and prompt for the file name
		Scanner inputScan = new Scanner(System.in);
		System.out.print("Enter the file to load: ");
		
		// Get the name of the file and open the file
		String filename = inputScan.nextLine();
		File file;
		file = new File(filename);
		
		// Create new Scanner to parse file
		Scanner fileScan = null;
		try
		{
			fileScan = new Scanner(file);
		}
		catch (FileNotFoundException e)
		{
			System.out.println("Error, can't find file");
			System.exit(1);
		}
		
		// Loops through file
		while(fileScan.hasNext())
		{
			// Get choice
			String choice = fileScan.nextLine();
			// Create new RPSThrow object based on what was typed in file
			RPSThrow fileThrow = null;
			if (choice.equals("rock"))
				fileThrow = new RPSThrow(RPSThrow.ROCK);
			else if (choice.equals("paper"))
				fileThrow = new RPSThrow(RPSThrow.PAPER);
			else if (choice.equals("scissors"))
				fileThrow = new RPSThrow(RPSThrow.SCISSORS);
			// Create computer RPSThrow
			RPSThrow computerThrow = new RPSThrow();
			
			// Determine result and update score accordinly
			if (fileThrow.beats(computerThrow))
				score.addWin();
			else if (computerThrow.beats(fileThrow))
				score.addLoss();
			else
				score.addTie();
				
			// Print choices and results
			System.out.println("Player: " + fileThrow + ", Computer: " + computerThrow + ", Score: " + score);
		}
	}
}